This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 896694 - AIO - should not ask to stop ovirt-engine service if not installed/running
AIO - should not ask to stop ovirt-engine service if not installed/running
Status: CLOSED CURRENTRELEASE
Product: oVirt
Classification: Community
Component: ovirt-engine-installer (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.2
Assigned To: Sandro Bonazzola
integration
:
Depends On:
Blocks: ovirt-3.2-release 904788
  Show dependency treegraph
 
Reported: 2013-01-17 14:15 EST by Itamar Heim
Modified: 2013-02-15 01:47 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 904788 (view as bug list)
Environment:
Last Closed: 2013-02-15 01:47:28 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 11276 None None None Never

  None (edit)
Description Itamar Heim 2013-01-17 14:15:03 EST
when running engine-setup, the following prompt appears[1].
I'm not sure why this prompt is relevant at setup (rather than at upgrade).
in any case, no point showing it if there is no ovirt-engine service installed or running yet (i.e., I'm getting this at an install on a vanilla f18)

ovirt-engine-setup.noarch 0:3.2.0-1.20121212.git01e08b2.fc18

[1][root@f18 ~]# engine-setup 
Welcome to oVirt Engine setup utility

In order to proceed the installer must stop the ovirt-engine service
Would you like to stop the ovirt-engine service? (yes|no):
Comment 1 Sandro Bonazzola 2013-01-22 02:50:03 EST
I think I can take care of this.
Comment 2 Sandro Bonazzola 2013-01-23 02:09:14 EST
http://gerrit.ovirt.org/#/c/11276/
Comment 4 Sandro Bonazzola 2013-01-23 02:27:48 EST
If the engine service is in state not running, and only in this
state, avoid to ask for stopping the service.
The script doesn't check for service up and running, avoiding a
regression on RHBZ #837812.
The script also avoid to stop the engine service if already stopped and not configured.
Comment 6 Cybertimber2011 2013-02-04 12:12:19 EST
I noted this behavior in ovirt-engine-setup version 3.2.0-2.fc18

[root@ovirt-engine-32 ~]# systemctl status ovirt-engine
ovirt-engine.service - oVirt Engine
          Loaded: loaded (/usr/lib/systemd/system/ovirt-engine.service; disabled)
          Active: inactive (dead)

Feb 04 11:26:38 localhost.localdomain systemd[1]: Stopped oVirt Engine.
Feb 04 11:59:16 localhost.localdomain systemd[1]: Stopped oVirt Engine.
Feb 04 12:01:33 localhost.localdomain systemd[1]: Stopped oVirt Engine.
[root@ovirt-engine-32 ~]# engine-setup
Welcome to oVirt Engine setup utility

In order to proceed the installer must stop the ovirt-engine service
Would you like to stop the ovirt-engine service? (yes|no):

[root@ovirt-engine-32 ~]# yum list | grep ovirt-engine-setup
ovirt-engine-setup.noarch               3.2.0-2.fc18                    @ovirt-beta
ovirt-engine-setup-plugin-allinone.noarch
Comment 7 Sandro Bonazzola 2013-02-05 02:12:55 EST
Thanks for your testing. 
The patch is merged upstream in the master tree.
It is also pushed to the 3.2 branch but not yet merged: 
http://gerrit.ovirt.org/#/c/11706/

Note You need to log in before you can comment on or make changes to this bug.